FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > ArchLinux > ArchLinux General Discussion

 
 
LinkBack Thread Tools
 
Old 09-17-2012, 07:30 PM
Arthur Titeica
 
Default Strange pacman problem with conflicting dependencies

Hi

On a machine with a less frequent updating schedule (~once a month) I receive
the following when doing pacman -Suy

----------------->8-----------------
# pacman -Suy
:: Synchronizing package databases...
testing is up to date
core is up to date
extra is up to date
community-testing is up to date
community is up to date
multilib-testing is up to date
multilib is up to date
archlinuxfr is up to date
repo-ck is up to date
:: Starting full system upgrade...
warning: ffmpeg: ignoring package upgrade (20120509-1 => 1:0.11.1-1)
:: Replace virtualbox-additions with community-testing/virtualbox-iso-
additions? [Y/n]
:: Replace virtualbox-modules with community-testing/virtualbox-host-modules?
[Y/n]
warning: x264: ignoring package upgrade (20120204-1 => 20120705-1)
resolving dependencies...
looking for inter-conflicts...
error: unresolvable package conflicts detected
error: failed to prepare transaction (conflicting dependencies)
:: virtualbox-host-modules and virtualbox-modules are in conflict
----------------->8-----------------

I didn't have any problems with the virtualbox replacements on another machine
with daily updates.

If necessary the debug pacman log may be found at http://pastebin.com/9nh5tp9t

Thanks.

--
Arthur Titeica
 
Old 09-18-2012, 07:36 PM
Ralf Mardorf
 
Default Strange pacman problem with conflicting dependencies

Same here without testing. No information at http://www.archlinux.org/
and https://www.archlinux.de/ .

Regards,
Ralf
 
Old 09-19-2012, 05:05 PM
Ralf Mardorf
 
Default Strange pacman problem with conflicting dependencies

On Wed, 2012-09-19 at 07:11 +0300, Arthur Titeica wrote:
> On Tuesday 18 September 2012 22:19:07 Sébastien Luttringer wrote:
> > Should be fixed at the next db sync.
>
> Thanks. I confirm the fix here.

Still borked here.

:: Starting full system upgrade...
:: Replace virtualbox-additions with community/virtualbox-iso-additions?
[Y/n] y
:: Replace virtualbox-modules with community/virtualbox-host-modules?
[Y/n] y
:: Replace virtualbox-source with community/virtualbox-host-source?
[Y/n] y
resolving dependencies...
looking for inter-conflicts...
error: failed to prepare transaction (could not satisfy dependencies)
:: virtualbox-hook: requires virtualbox-source

Regards,
Ralf
 
Old 09-19-2012, 05:08 PM
Ralf Mardorf
 
Default Strange pacman problem with conflicting dependencies

On Wed, 2012-09-19 at 19:05 +0200, Ralf Mardorf wrote:
> On Wed, 2012-09-19 at 07:11 +0300, Arthur Titeica wrote:
> > On Tuesday 18 September 2012 22:19:07 Sébastien Luttringer wrote:
> > > Should be fixed at the next db sync.
> >
> > Thanks. I confirm the fix here.
>
> Still borked here.
>
> :: Starting full system upgrade...
> :: Replace virtualbox-additions with community/virtualbox-iso-additions?
> [Y/n] y
> :: Replace virtualbox-modules with community/virtualbox-host-modules?
> [Y/n] y
> :: Replace virtualbox-source with community/virtualbox-host-source?
> [Y/n] y
> resolving dependencies...
> looking for inter-conflicts...
> error: failed to prepare transaction (could not satisfy dependencies)
> :: virtualbox-hook: requires virtualbox-source

Apologize.
https://aur.archlinux.org/packages/vi/virtualbox-hook/PKGBUILD is fixed.
 

Thread Tools




All times are GMT. The time now is 07:14 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org